APIs / Google Lens / Lens

Google Lens: Lens

Lens from Google Lens as JSON. 1 credit per successful call.

GET /v1/google-lens/lens

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
urlstringRequiredUp to 2,048 characters
qstringOptionalUp to 500 characters
typestringOptionalall, products, exact_matches, visual_matches

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-lens/lens?url=https%3A%2F%2Fupload.wikimedia.org%2Fwikipedia%2Fcommons%2F4%2F45%2FA_small_cup_of_coffee.JPG&type=visual_matches" \
  -H "X-API-Key: $API_KEY"